#ifndef _ASSOCIATED_COMP_DOCUMENTS_CONTROL_
#define _ASSOCIATED_COMP_DOCUMENTS_CONTROL_

/* associated_comp_documents_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#include "document.h"

/**
 * c_associated_companies_open:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 * @document: Documento que se pretende asociar a las compaas de seguros.
 *
 * Inicializa la ventana que permite asociar documentos a diferentes compaas de seguros.
 * Estos documentos aparecern posteriormente asociados a la reparacin  factura que tenga
 * compaa de seguros una de las asociadas.
 *
 * Returns:
 * Un #Widget con la ventana de asociar documentos a compaas inicializado.
 * 
 */
GtkWidget *c_associated_companies_open(GtkWidget *app1, GtkWidget *vbox, Document *document);

#endif

