 /* delivery_payment_print_control.c
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#include <gnome.h>
#include <glade/glade.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <glib.h>
#include <stdlib.h>


#include "a-shortcut.h"
#include "support.h"
#include "control_util.h"
#include "delivery_payment_print_control.h"

static GtkWidget *delivery_payment_print=NULL;
static GladeXML *xml;
static gpointer value1_to_function = NULL;
static void (*function_to_call)(gpointer value,gpointer value2);
static gchar widget_name[]="impresion_de_albaran";
static gchar url[]="/src/interface/glade/delivery_payment_view.glade";


static void on_cancel_printing_button_clicked(GtkButton *button, gpointer user_data);
static void on_accept_printing_button_clicked(GtkButton *button,  gpointer user_data);


GtkWidget *c_delivery_payment_print_open(GtkWidget *app1, gpointer f_to_call,gpointer value1) {
    gchar * directory = g_strconcat(AA_DATA_DIR,url,NULL);

    if (delivery_payment_print==NULL)
    {
	GtkWidget *dialog;

	xml = glade_xml_new (directory, widget_name);
	dialog = glade_xml_get_widget (xml, widget_name);


	glade_xml_signal_connect (xml, "on_button_cancelar_impresion_clicked",
				  GTK_SIGNAL_FUNC (on_cancel_printing_button_clicked));
	glade_xml_signal_connect (xml, "on_button_aceptar_impresion_clicked",
			          GTK_SIGNAL_FUNC (on_accept_printing_button_clicked));


	delivery_payment_print=dialog;
    }
    function_to_call = f_to_call;

    /*delivery_payment to print*/
    value1_to_function = value1;

    g_free(directory);
    return delivery_payment_print;
}


static void on_cancel_printing_button_clicked(GtkButton *button,gpointer user_data) {
    gtk_widget_destroy(delivery_payment_print);
    function_to_call = NULL;
    delivery_payment_print = NULL;
}



static void on_accept_printing_button_clicked(GtkButton *button,gpointer user_data) {
    GtkWidget * radiobutton = glade_xml_get_widget(xml,"radiobutton_valorado");
    gboolean * valued = (gboolean * ) g_malloc0(sizeof(gboolean));

    gpointer data = NULL;
    *valued = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(radiobutton));
    data = (gpointer) valued;

    function_to_call(value1_to_function,data);
    gtk_widget_destroy(delivery_payment_print);
    function_to_call = NULL;
    delivery_payment_print = NULL;

}

