#ifndef _FIND_ORDER_CONTROL_
#define _FIND_ORDER_CONTROL_

/* find_order_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


/**
 * c_find_oder_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 * @supplier: Proveedor por el que se buscarn los pedidos.
 *
 * Inicializa la ventana de bsqueda de pedidos. Esta pantalla permite buscar pedidos, mostrando
 * posteriormente sus lneas y permitiendo adems asociarles una albarn de pago, si ya se ha
 * producido el envo de las piezas. Adems se pueden gestionar asociandolas a una factura de pago.
 *
 * Returns:
 * La ventana inicializada.
 * 
 */
GtkWidget *c_find_order_open_window(GtkWidget *app1, GtkWidget *vbox, Participant *supplier);

/**
 * c_order_search:
 *
 * Fuerza la bsqueda de los pedidos con los valores de pantalla como filtros de bsqueda.
 *
 */
void c_order_search(void);
#endif

