#ifndef _FIND_STOCKED_PIECES_CONTROL_
#define _FIND_STOCKED_PIECES_CONTROL_

/* find_stocked_pieces_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _FIND_STOCKED_PIECES_MODEL_
#include "find_stocked_pieces_model.h"
#endif

#include "stock.h"


/**
 * c_find_stocked_pieces_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicializa la ventana de bsqueda de piezas en stock. Esta pantalla permite realizar la
 * bsqueda de piezas segn su descripcin y su eurocode. Adems se permite introducir piezas en un
 * pedido desde esta ventana.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_find_stocked_pieces_open_window(GtkWidget *app1, GtkWidget *vbox);

/**
 * c_find_stocked_pieces_set_combos:
 * @enterprise: Empresa que se desea mostrar en el combo de empresa.
 * @warehouse: Almacn que se desea mostrar en el combo de almacn.
 *
 * Establece la empresa y almacn que se debe mostrar en los combos de
 * empresa y almacn respectivamente.
 *
 */
void c_find_stocked_pieces_set_combos(gchar *enterprise, gchar *warehouse);

#endif


