#ifndef _INSERT_DOCUMENT_CONTROL_
#define _INSERT_DOCUMENT_CONTROL_

/* insert_document_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#include "control_util.h"

#include "document.h"

/**
 * c_document_open_insertion_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 * 
 * Inicializa la ventana de insercin de documentos. Esta pantalla permite insertar un documento
 * nuevo asociado a las compaas que se desee. Adems se puede modificar un documento existente aadiendo
 * compaas de seguros asociadas al mismo.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_document_open_insertion_window(GtkWidget *app1, GtkWidget *vbox);

/**
 * c_document_load:
 * @document: Documento a modificar.
 * 
 * Carga el documento a modificar en la ventana de insercin de documentos.
 *
 */
void c_document_load(Document *document);


#endif


