 /* payment_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _PAYMENT_CONTROL_
#define _PAYMENT_CONTROL_


/**
 * c_payment_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @payment: Pago que se desea gestionar en esta pantalla.
 * @f_to_call: Funcin que se llamar al cerrar la ventana sin exito.
 * @is_new: Indica si el pago es nuevo o es un pago ya existente, con lo que se utilizar solo para gestionar
 * o bien, para cargar un pago anterior de un proveedor y recuperar los datos del mismo.
 * @open_gestionando: Indica si solo se utilizar el pago para gestionar.
 *
 * Inicializa la ventana de gestin pago. Esta ventana se utiliza para gestionar el pago de una factura de
 * pago, de modo que se puede abrir para crear un pago nuevo, paga pagar un pago existente o para recargar
 * el pago antiguo a un proveedor para recordar el modo de pago la empresa realiza a ese proveedor.
 *
 * Returns:
 * Ventana inicializada.
 */
GtkWidget *c_payment_open_window(GtkWidget *app1,Payment * payment,gpointer f_to_call,gboolean is_new,gboolean open_gestionando);

#endif

