#ifndef _PIECE_CONTROL_
#define _PIECE_CONTROL_

/* piece_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#include "control_util.h"

#include "family_model.h"
#include "piece_model.h"
#include "piece.h"
#include "family.h"

/**
 * c_piece_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 * 
 * Inicializa la ventana de piezas. Esta pantalla se utiliza para insertar una nueva pieza con
 * unas caractersticas o bien modificar las caractersticas de una pieza existente.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_piece_open_window(GtkWidget *app1, GtkWidget *vbox);
/**
 * c_load_piece:
 * @piece: Pieza a cargar en la pantalla.
 * 
 * Carga una pieza en la pantalla para poder modificarla.
 *
 */
void       c_piece_load(Piece *piece);
/**
 * c_piece_repaint_measures:
 * 
 * Repinta las medidas del #combo una vez se ha insertado una nueva en la pantalla de insercin de medidas.
 * 
 */
void       c_piece_repaint_measures(void);
#endif


