/* stock_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _STOCK_CONTROL_
#define _STOCK_CONTROL_

#include "control_util.h"

#include "find_stocked_pieces_model.h"
#include "stock.h"

/**
 * c_piece_stock_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @repaint_pieces: Funcion que repintar las piezas con los datos actuales.
 *
 * Incializa la ventana de stock. Esta pantalla permite insertar un nmero de unidades en el stock de una pieza.
 * Si este ya
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_piece_stock_open_window(GtkWidget *app1, gpointer repaint_pieces);

/**
 * c_piece_stock_load:
 * @stock: Stock que se desea cargar en la pantalla.
 * @enterprise_name: Empresa a la que pertenece el almacn para el cual se modificar el stock.
 * @warehouse_name: Almacn para el que se modificar el stock de una pieza.
 *
 * Carga el stock una pieza en pantalla. El stock de esa pieza es refiere al stock en el
 * almacn #warehouse_name que pertenece a la empresa #warehouse_name.
 * 
 * 
 */
void c_piece_stock_load(Stock *stock, gchar *enterprise_name, gchar *warehouse_name);

#endif


