/* update_repair_line_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _UPDATE_REPAIR_LINE_CONTROL_
#define _UPDATE_REPAIR_LINE_CONTROL_

/**
 * C_FROM_INVOICE:
 *
 * Cdigo que indica que se ha llegado a esta pantalla desde la pantalla de facturas.
 *
 */
#define C_FROM_INVOICE 0

#include "repair_line_object.h"
#include "invoice_control.h"

/**
 * c_update_repair_line_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @from: Indica si se proviene de modificacin de la lneas de factura.
 *
 * Inicialia la ventana de modificacin de una lnea de factura. No permite ms que
 * modificar el descuento de la lnea.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_update_repair_line_open_window(GtkWidget *app1, gint from);
/**
 * c_update_repair_line_load_data:
 * @repair_line: Lnea de reparacin de la cual que se desea cargar los datos.
 * @delivery_payment_number: Nmero de albarn al que pertenece la lnea en caso de pertenecer a uno.
 * @repair_number: Nmero de la reparacin a la que pertenece la lnea.
 * 
 * Carga en pantalla los datos de una lnea de factura para modificar.
 * 
 */
void c_update_repair_line_load_data(Repair_line * repair_line,gulong delivery_payment_number,gulong repair_number);

#endif

