/* warehouse_piece_history.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _WAREHOUSE_PIECE_HISTORY_
#define _WATEHOUSE_PIECE_HISTORY_

/**
 * open_update_entry:
 * 
 * Inicializa la ventana de mostrado de los movimientos de una pieza en un almacn.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_warehouse_history_open_window(void);
/**
 * load_data:
 * @warehouse_code: Cdigo del almacn.
 * @enterprise_code: Cdigo de la empresa.
 * @eurocode: Eurocode de la pieza.
 *
 * Carga los datos de la pieza, almacn y empresa del almacn para el que se listar.
 *
 */
void c_warehouse_history_load_data(gulong warehouse_code,gulong enterprise_code,gchar * eurocode);


#endif

