/* test.c
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#include "config.h"
#include "invoice-print.h"

static int do_preview;
static int copies=1, collate;

static struct poptOption options [] = 
{   
     {"copies", 0, POPT_ARG_INT, &copies },
     { "collate", 0, POPT_ARG_NONE, &collate },
     { NULL }
};



static void
  p_invoice_close_window (GtkObject *o, void *data)
{   
   exit(0);
}

static void
  test_ps (void)
{
   
   GnomePrintContext *pc;
   GnomePrintMaster *gpm = NULL;
   
   GnomePrintDialog *gpd;
   
   gpd = GNOME_PRINT_DIALOG (gnome_print_dialog_new(_("Print options"), GNOME_PRINT_DIALOG_COPIES));
   gnome_print_dialog_set_copies(gpd, copies, collate);
   
   switch (gnome_dialog_run(GNOME_DIALOG(gpd))) 
     {	
      case GNOME_PRINT_PRINT:
	do_preview = 0;
	break;
      case GNOME_PRINT_PREVIEW:
	do_preview = 1;
	break;
      case GNOME_PRINT_CANCEL:
	exit(0);
     }

   
/*    printf("printer = %p\n", gnome_print_dialog_get_printer(gpd));*/
   
   gpm = gnome_print_master_new();
   gnome_print_dialog_get_copies(gpd, &copies, &collate);
   gnome_print_master_set_copies(gpm, copies, collate);
   gnome_print_master_set_printer(gpm, gnome_print_dialog_get_printer(gpd));
   gnome_dialog_close (GNOME_DIALOG(gpd));
   
   pc = gnome_print_master_get_context(gpm);
   
   /* Pages to print: */
   p_invoice_print (pc);
   p_invoice_print_ck (pc);
   print_invoice_ack_base (pc);
   print_invoice_ack_values (pc);   
   p_invoice_print_royal (pc);
    
   gnome_print_master_close(gpm);
   if (do_preview) 
     {	
	GnomePrintMasterPreview *pmp;
	pmp = gnome_print_master_preview_new(gpm, "Test preview");
	gtk_signal_connect(GTK_OBJECT(pmp), "destroy", p_invoice_close_window , NULL);
	gtk_widget_show(GTK_WIDGET(pmp));
	gtk_main ();
     }
   else 
     {	
	gnome_print_master_print(gpm);
     }
   
}

int
  main (int argc, char **argv)
{  
   gnome_init_with_popt_table ("TestPrint", VERSION, argc, argv, options, 0, NULL);
   
   test_ps ();
   return 0;
}



