
/*  account.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _ACCOUNT_
#define _ACCOUNT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "office.h"

typedef struct _account {
    Office * office;
    gint control_digit;
    gchar * account_number;
    gdouble initial_balance;
} Account;


Account *d_account_create_empty (void); 

gint d_account_clear (Account *account);

void d_account_set_account_number (Account *account, gchar * account_number);
void d_account_set_initial_balance (Account *account, gdouble initial_balance);
void d_account_set_control_digit (Account *account, gint control_digit);
void d_account_set_office (Account *account, Office * office);
gchar *  d_account_get_account_number (Account *account);
gdouble  d_account_get_initial_balance (Account *account);
gint     d_account_get_control_digit (Account *account);
Office * d_account_get_office (Account *account);

gchar * d_account_get_complete_number (Account * account);
gboolean d_account_is_correct (gchar * bank_code,gchar * office_code,gchar * dc,gchar * account_number);
void    d_account_free_glist (GList * list);

#endif


