/* accounting_period.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */



#ifndef _ACCOUNTING_PERIOD_
#define _ACCOUNTING_PERIOD_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include <time.h>
#include "participant.h"

typedef struct accounting_periodStruct {
    gulong accounting_code;
    time_t initial_date;
    time_t ending_date;
    gboolean closed;
    gulong enterprise_code;
} AccountingPeriod;


AccountingPeriod * d_accounting_period_create_empty (void);

void d_accounting_set_accounting_code (AccountingPeriod * accounting_period, gulong accounting_code);
void d_accounting_set_enterprise_code (AccountingPeriod * accounting_period, gulong enterprise_code);
void d_accounting_set_initial_date (AccountingPeriod * accounting_period, time_t initial_date);
void d_accounting_set_ending_date (AccountingPeriod * accounting_period, time_t ending_date);
void d_accounting_set_closed (AccountingPeriod * accounting_period, gboolean closed);

gulong d_accounting_get_accounting_code (AccountingPeriod * accounting_period);
gulong d_accounting_get_enterprise_code (AccountingPeriod * accounting_period);
time_t d_accounting_get_initial_date (AccountingPeriod * accounting_period);
time_t d_accounting_get_ending_date (AccountingPeriod * accounting_period);
gboolean d_accounting_get_closed (AccountingPeriod * accounting_period);

gint d_accounting_period_clear (AccountingPeriod * accounting_period);

#endif


