/*  cash.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _CASH_
#define _CASH_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "enterprise.h"
#include "shop.h"

typedef struct _cash {
    gulong cash_code;
    Enterprise * enterprise;
    Shop * shop;
    gdouble initial_balance;
    gdouble current_balance;
} Cash;

Cash *d_cash_create_empty (void); 
gint d_cash_clear_cash (Cash *cash);
void d_cash_set_cash_code (Cash *cash, gulong cash_code);
void d_cash_set_shop (Cash *cash,Shop * shop);
void d_cash_set_enterprise (Cash *cash,Enterprise * enterprise);
void d_cash_set_initial_balance (Cash *cash,gdouble initial_balance);
void d_cash_set_current_balance (Cash *cash,gdouble current_balance);
gulong  d_cash_get_cash_code (Cash *cash);
Shop * d_cash_get_shop (Cash *cash);
Enterprise * d_cash_get_enterprise (Cash *cash);
gdouble d_cash_get_initial_balance (Cash *cash);
gdouble d_cash_get_current_balance (Cash *cash);


#endif


