/* charge_invoice_line.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _CHARGE_INVOICE_LINE_
#define _CHARGE_INVOICE_LINE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "piece.h"
#include "order_line.h"
#include "issued_book.h"

typedef struct _charge_invoice_line {
  gulong  supplier_code;
  gulong  invoice_number;
  gulong  line_number;
  gchar *  description;
  gdouble vat_type;
  gdouble total;
  OrderLine *order_line;
} ChargeInvoiceLine;

ChargeInvoiceLine *d_charge_invoice_line_create_empty (void);
gint     d_charge_invoice_line_clear (ChargeInvoiceLine *charge_invoice_line);
void     d_charge_invoice_line_set_supplier_code (ChargeInvoiceLine * charge_invoice_line, gulong supplier_code);
void     d_charge_invoice_line_set_invoice_number (ChargeInvoiceLine * charge_invoice_line, gulong invoice_number);
void     d_charge_invoice_line_set_line_number (ChargeInvoiceLine * charge_invoice_line, gulong line_number);
void     d_charge_invoice_line_set_description (ChargeInvoiceLine * charge_invoice_line, gchar *description);
void     d_charge_invoice_line_set_vat_type (ChargeInvoiceLine * charge_invoice_line, gdouble vat_type);
void     d_charge_invoice_line_set_total (ChargeInvoiceLine * charge_invoice_line, gdouble total);
void d_charge_invoice_line_set_order_line (ChargeInvoiceLine * charge_invoice_line, OrderLine *order_line);
gulong   d_charge_invoice_line_get_supplier_code (ChargeInvoiceLine * charge_invoice_line);
gulong   d_charge_invoice_line_get_invoice_number (ChargeInvoiceLine * charge_invoice_line);
gulong   d_charge_invoice_line_get_line_number (ChargeInvoiceLine * charge_invoice_line);
gchar   *d_charge_invoice_line_get_description (ChargeInvoiceLine * charge_invoice_line);
gdouble   d_charge_invoice_line_get_vat_type (ChargeInvoiceLine * charge_invoice_line);
gdouble   d_charge_invoice_line_get_total (ChargeInvoiceLine * charge_invoice_line);
OrderLine *d_charge_invoice_line_get_order_line (ChargeInvoiceLine * charge_invoice_line);
ChargeInvoiceLine **d_charge_invoice_line_duplicate (ChargeInvoiceLine **lines);
gdouble d_charge_invoice_line_calculate_total_by_vat (ChargeInvoiceLine ** charge_invoice_line);
#endif

