
/* client.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _CLIENT_
#define _CLIENT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

/**
 * D_CLIENT_PERSON:
 *
 * Cdigo que indica el tipo de cliente. En este caso el cliente es un particular.
 *
 */
#define D_CLIENT_PERSON 0
/**
 * GARAGE:
 *
 * Cdigo que indica el tipo de cliente. En este caso el cliente es un taller.
 *
 */
#define D_CLIENT_GARAGE 1
/**
 * D_CLIENT_ENTERPRISE:
 *
 * Cdigo que indica el tipo de cliente. En este caso el cliente es una empresa.
 *
 */
#define D_CLIENT_ENTERPRISE 2
/**
 * D_CLIENT_CONSORTIUM:
 *
 * Cdigo que indica el tipo de cliente. En este caso el cliente es un consorcio.
 *
 */
#define D_CLIENT_CONSORTIUM 3
/**
 * D_CLIENT_COMPANY:
 *
 * Cdigo que indica el tipo de cliente. En este caso el cliente es una compaa de seguros.
 *
 */
#define D_CLIENT_COMPANY 4
/**
 * D_CLIENT_AGENT:
 *
 * Cdigo que indica el tipo de cliente. En este caso el cliente es un agente.
 *
 */
#define D_CLIENT_AGENT 5
/**
 * D_CLIENT_PROVIDER:
 *
 * Cdigo que indica el tipo de cliente. En este caso el cliente es un proveedor.
 *
 */
#define D_CLIENT_PROVIDER 6

#include "participant.h"


typedef struct _client {
  Participant *participant;
  gdouble client_discount;
  gboolean agent;
} Client;


Client * d_client_create_empty (void);
gint d_client_clear (Client *client);
void d_client_set_participant (Client *client, Participant *participant);
void d_client_set_discount (Client *client, gdouble client_discount);
void d_client_set_agent (Client *client, gboolean agent);
Participant *d_client_get_participant (Client *client);
gdouble d_client_get_discount (Client *client);
gboolean d_client_get_agent (Client *client);
Client *d_client_duplicate (Client *client);

#endif

