
/* consortium.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _CONSORTIUM_
#define _CONSORTIUM_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "participant.h"
#include "company.h"

/**
 * D_CONSORTIUM_NONE:
 *
 * Cdigo que indica que una compaa de seguros no pertenece a ningn consorcio.
 *
 */
#define D_CONSORTIUM_NONE 0

typedef struct consortiumStruct {
  Participant * participant;
  gdouble discount;
} Consortium;

Consortium * d_consortium_create_empty (void);
void d_consortium_set_participant (Consortium * consortium,Participant * participant);
void d_consortium_set_discount (Consortium * consortium, gdouble discount);
Participant * d_consortium_get_participant (Consortium * consortium);
gdouble d_consortium_get_discount (Consortium * consortium);
gint d_consortium_clear (Consortium *consortium);

#endif

