/* delivery_payment_movement.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _DELIVERY_PAYMENT_MOVEMENT_
#define _DELIVERY_PAYMENT_MOVEMENT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "time.h"

typedef struct delivery_payment_movementStruct {
    gulong enterprise_code;
    gulong warehouse_code;
    gulong movement_code;
    time_t date;
    gdouble  quantity;
    gulong supplier_code;
    gulong order_code;
    gulong order_line_number;
    gchar * delivery_payment_number;
    gulong product_code;
    gboolean pending;
} DeliveryPaymentMovement;


gint d_delivery_payment_movement_clear (DeliveryPaymentMovement *delivery_payment_movement);
DeliveryPaymentMovement * d_delivery_payment_movement_create_empty (void);

void d_delivery_payment_movement_set_enterprise_code (DeliveryPaymentMovement *delivery_payment_movement, gulong enterprise_code);
void d_delivery_payment_movement_set_warehouse_code (DeliveryPaymentMovement *delivery_payment_movement, gulong warehouse_code);
void d_delivery_payment_movement_set_movement_code (DeliveryPaymentMovement *delivery_payment_movement, gulong movement_code);
void d_delivery_payment_movement_set_supplier_code (DeliveryPaymentMovement *delivery_payment_movement, gulong supplier_code);
void d_delivery_payment_movement_set_delivery_payment_number (DeliveryPaymentMovement *delivery_payment_movement, gchar * delivery_payment_number);
void d_delivery_payment_movement_set_order_line_number (DeliveryPaymentMovement *delivery_payment_movement, gulong order_line_number);
void d_delivery_payment_movement_set_order_code (DeliveryPaymentMovement *delivery_payment_movement, gulong order_code);
void d_delivery_payment_movement_set_product_code (DeliveryPaymentMovement *delivery_payment_movement, gulong product_code);
void d_delivery_payment_movement_set_pending (DeliveryPaymentMovement *delivery_payment_movement, gboolean pending);

void d_delivery_payment_movement_set_quantity (DeliveryPaymentMovement *delivery_payment_movement, gdouble quantity);
void d_delivery_payment_movement_set_date (DeliveryPaymentMovement *delivery_payment_movement,time_t date);

gulong d_delivery_payment_movement_get_enterprise_code (DeliveryPaymentMovement *delivery_payment_movement);
gulong d_delivery_payment_movement_get_warehouse_code (DeliveryPaymentMovement *delivery_payment_movement);
gulong d_delivery_payment_movement_get_movement_code (DeliveryPaymentMovement *delivery_payment_movement);
gulong d_delivery_payment_movement_get_supplier_code (DeliveryPaymentMovement *delivery_payment_movement);
gchar* d_delivery_payment_movement_get_delivery_payment_number (DeliveryPaymentMovement *delivery_payment_movement);
gulong d_delivery_payment_movement_get_order_line_number (DeliveryPaymentMovement *delivery_payment_movement);
gulong d_delivery_payment_movement_get_order_code (DeliveryPaymentMovement *delivery_payment_movement);
gulong d_delivery_payment_movement_get_product_code (DeliveryPaymentMovement *delivery_payment_movement);
gboolean  d_delivery_payment_movement_get_pending (DeliveryPaymentMovement *delivery_payment_movement);

gdouble  d_delivery_payment_movement_get_quantity (DeliveryPaymentMovement *delivery_payment_movement);
time_t d_delivery_payment_movement_get_date (DeliveryPaymentMovement *delivery_payment_movement);


#endif

