
/* exchange.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _EXCHANGE_
#define _EXCHANGE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "time.h"

typedef struct exchangeStruct {
    gulong enterprise_code;
    gulong warehouse_code;
    gulong movement_code;
    gulong product_code;
    gdouble  quantity;
    time_t date;
    gulong consignee_enterprise_code;
    gulong consignee_warehouse_code;
    gchar * consignee_warehouse_name;
    gboolean in;
} Exchange;



Exchange * d_exchange_create_empty (void);
gint d_exchange_clear (Exchange *exchange);

void d_exchange_set_enterprise_code (Exchange *exchange, gulong enterprise_code);
void d_exchange_set_warehouse_code (Exchange *exchange, gulong warehouse_code);
void d_exchange_set_product_code (Exchange *exchange, gulong product_code);
void d_exchange_set_quantity (Exchange *exchange, gdouble quantity);
void d_exchange_set_consignee_enterprise_code (Exchange *exchange, gulong consignee_enterprise_code);
void d_exchange_set_consignee_warehouse_code (Exchange *exchange, gulong consignee_warehouse_code);
void d_exchange_set_in (Exchange *exchange, gdouble in);
void d_exchange_set_consignee_warehouse_name (Exchange *exchange, gchar * consignee_warehouse_name);
gulong d_exchange_get_enterprise_code (Exchange *exchange);
gulong d_exchange_get_warehouse_code (Exchange *exchange);
gulong d_exchange_get_product_code (Exchange *exchange);
gdouble d_exchange_get_in (Exchange *exchange);
gdouble  d_exchange_get_quantity (Exchange *exchange);
time_t d_exchange_get_date (Exchange *exchange);
gulong d_exchange_get_consignee_enterprise_code (Exchange *exchange);
gulong d_exchange_get_consignee_warehouse_code (Exchange *exchange);
gchar * d_exchange_get_consignee_warehouse_name (Exchange *exchange);
#endif

