/* family.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _FAMILY_
#define _FAMILY_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif

typedef struct familyStruct {
  gchar * family_code;
  gchar * description;
} Family;

Family *d_family_create_empty (void);
gint     d_family_clear (Family *family);
void     d_family_set_code (Family *family, gchar *family_code);
void     d_family_set_description (Family *family, gchar *description);

gchar   *d_family_get_code (Family *family);
gchar   *d_family_get_description (Family *family);

#endif


