
/*  listing_operation.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _LISTING_OPERATION_
#define _LISTING_OPERATION_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include <time.h>
#include "account.h"
#include "payment.h"
#include "company.h"


typedef struct _listing_operation {
    gchar * company_name;
    gulong company_code;
    gulong operation_code;
    gulong invoice_code;
    gulong enterprise_code;
    gulong shop_code;
    gint bank_code;
    gint office_code;
    gchar * account_number;
    gchar * number;
    gchar * receipt_reference;
    time_t date;
    time_t notification_date;
    gdouble amount;
} ListingOperation;
                

ListingOperation *d_listing_operation_create_empty (void); 
gint d_listing_operation_clear (ListingOperation *listing_operation);
void d_listing_operation_set_company_name (ListingOperation *listing_operation, gchar * company_name);
void d_listing_operation_set_company_code (ListingOperation *listing_operation, gulong company_code);
void d_listing_operation_set_operation_code (ListingOperation *listing_operation, gulong operation_code);
void d_listing_operation_set_bank_code (ListingOperation *listing_operation, gint bank_code);
void d_listing_operation_set_office_code (ListingOperation *listing_operation, gint office_code);
void d_listing_operation_set_receipt_reference (ListingOperation *listing_operation, gchar * receipt_reference);
void d_listing_operation_set_amount (ListingOperation *listing_operation, gdouble amount);
void d_listing_operation_set_account_number (ListingOperation *listing_operation, gchar * account_number);
void d_listing_operation_set_number (ListingOperation *listing_operation, gchar * number);
void d_listing_operation_set_date (ListingOperation *listing_operation, time_t date);
void d_listing_operation_set_notification_date (ListingOperation *listing_operation, time_t notification_date);

gchar * d_listing_operation_get_company_name (ListingOperation *listing_operation);
gulong d_listing_operation_get_company_code (ListingOperation *listing_operation);
gulong d_listing_operation_get_operation_code (ListingOperation *listing_operation);
gint d_listing_operation_get_bank_code (ListingOperation *listing_operation);
gint d_listing_operation_get_office_code (ListingOperation *listing_operation);
gchar * d_listing_operation_get_receipt_reference (ListingOperation *listing_operation);
gdouble d_listing_operation_get_amount (ListingOperation *listing_operation);
gchar * d_listing_operation_get_account_number (ListingOperation *listing_operation);
gchar * d_listing_operation_get_number (ListingOperation *listing_operation);
time_t d_listing_operation_get_date (ListingOperation *listing_operation);
time_t d_listing_operation_get_notification_date (ListingOperation *listing_operation);

gchar ***d_listing_d_operation_array_to_content (ListingOperation **array, gulong *reccount);
gchar  **d_listing_operation_get_content (ListingOperation *listing_operation);
gchar  **d_listing_operation_get_content_title (void);
gchar   *d_listing_operation_get_listing_title (gint tipo);
gint    *d_listing_operation_get_listing_columns_width (void);
gint    *d_listing_operation_get_listing_columns_alignment (void);
gint     d_listing_operation_get_content_size (void);

gchar * d_listing_operation_get_complete_account_number (ListingOperation * listing_operation);
#endif


