
/* order.c
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _ORDER_
#define _ORDER_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "model.h"
#include "piece.h"
#include "order_line.h"
#include "time.h"

typedef struct _order {
    gulong order_code;
    gulong enterprise_code;
    gulong warehouse_code;
    gulong supplier_code;
    time_t       date;
    gboolean     requested;
    OrderLine **order_lines;
} Order;


gint   d_order_clear (Order *order);
Order *d_order_create_empty (void);
void   d_order_set_code (Order *order, gulong order_code);
void   d_order_set_enterprise_code (Order *order, gulong enterprise_code);
void   d_order_set_warehouse_code (Order *order, gulong warehouse_code);
void   d_order_set_supplier_code (Order *order, gulong supplier_code);
void   d_order_set_requested (Order *order, gboolean requested);
void   d_order_set_order_lines (Order *order, OrderLine **order_lines);

gulong d_order_get_code (Order *order);
gulong d_order_get_enterprise_code (Order *order);
gulong d_order_get_warehouse_code (Order *order);
gulong d_order_get_supplier_code (Order *order);
gboolean d_order_get_requested (Order *order);
time_t   d_order_get_date (Order *order);
OrderLine **d_order_get_order_lines (Order *order);

Order *d_order_duplicate (Order *order);

#endif


