
/* participant.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PARTICIPANT_
#define _PARTICIPANT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "post_address.h"

typedef struct _participant {
  gchar *nick;
  gchar *name;
  gchar *legal_id;
  gulong  code;
  gchar *email;
  gchar *phone;
  gchar *phone2;
  gchar *fax;
  gchar *street;
  gchar *number;
  gchar *floor;
  gulong  postal_code;
  gchar *town;
  gchar *province;
  gchar *short_name;  
  PostAddress ** post_address;
} Participant;

Participant * d_participant_create_empty (void);
gint d_participant_clear (Participant *participant);
void d_participant_set_code (Participant * participant,gulong code);
void d_participant_set_email (Participant * participant,gchar * email);
void d_participant_set_nick (Participant * participant,gchar * nick);
void d_participant_set_phone (Participant * participant,gchar * phone);
void d_participant_set_phone2 (Participant * participant,gchar * phone2);
void d_participant_set_fax (Participant * participant,gchar * fax);
void d_participant_set_street (Participant * participant,gchar * street);
void d_participant_set_number (Participant * participant,gchar * number);
void d_participant_set_floor (Participant * participant,gchar * floor);
void d_participant_set_postal_code (Participant * participant,gulong postal_code);
void d_participant_set_town (Participant * participant,gchar * town);
void d_participant_set_province (Participant * participant,gchar * province);
void d_participant_set_name (Participant * participant,gchar * name);
void d_participant_set_legal_id (Participant * participant,gchar * legal_id);
void d_participant_set_short_name (Participant * participant,gchar * short_name);
void d_participant_set_post_addresses (Participant * participant,PostAddress ** post_address);
gulong d_participant_get_code (Participant * participant);
gchar * d_participant_get_email (Participant * participant);
gchar * d_participant_get_phone (Participant * participant);
gchar * d_participant_get_phone2 (Participant * participant);
gchar * d_participant_get_nick (Participant * participant);
gchar * d_participant_get_fax (Participant * participant);
gchar * d_participant_get_street (Participant * participant);
gchar * d_participant_get_number (Participant * participant);
gchar * d_participant_get_floor (Participant * participant);
gulong d_participant_get_postal_code (Participant * participant);
gchar * d_participant_get_town (Participant * participant);
gchar * d_participant_get_province (Participant * participant);
gchar * d_participant_get_name (Participant * participant);
gchar * d_participant_get_legal_id (Participant * participant);
gchar * d_participant_get_short_name (Participant * participant);
PostAddress ** d_participant_get_post_addresses (Participant * participant);
Participant *d_participant_duplicate (Participant *participant);

gchar ***d_participant_array_to_content (Participant **array, gulong *reccount);
gchar  **d_participant_get_content_title (gchar **content, gint *index);
gchar   *d_participant_get_listing_title (void);
gint    *d_participant_get_listing_columns_width (gint *widths, gint *index);
gint    *d_participant_get_listing_columns_alignment (gint *orientation, gint *index);
gint     d_participant_get_content_size (void);
gchar  **d_participant_get_content (Participant *participant, gchar **content, gint *index);

#endif



