/* payment_note.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _PAYMENT_NOTE_
#define _PAYMENT_NOTE_

#include "config.h"
#include "repair_object.h"
#include "payment.h"
#include "enterprise.h"
#include "company.h"

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#ifndef _DATOS_
#define _DATOS_
//#include "datos.h"
#endif

/**
 * D_PAYMENT_NOTE_STATE:
 *
 * Cdigo utilizado para indicar el estado de la nota por defecto.
 *
 */
#define D_PAYMENT_NOTE_STATE -2
/**
 * D_PAYMENT_NOTE_CODE:
 *
 * Cdigo utilizado para indicar que se trata de una bsqueda de nota.
 *
 */
#define D_PAYMENT_NOTE_CODE 3
/**
 * D_PAYMENT_NOTE:
 *
 * Texto utilizado para indicar que estamos tratando una nota.
 *
 */
#define D_PAYMENT_NOTE _("Payment Note")

typedef struct paymentNoteStruct {
    gulong note_code;
    Repair * repair_detail;
    Payment * payment;
    gdouble total;
    time_t emission_date;
} PaymentNote;

PaymentNote * d_payment_note_create_empty (void);

void d_payment_note_set_note_code (PaymentNote * payment_note,gulong note_code);
void d_payment_note_set_repair_detail (PaymentNote * payment_note,Repair * repair_detail);
void d_payment_note_set_payment (PaymentNote * payment_note,Payment * payment);
void d_payment_note_set_total (PaymentNote * payment_note,gdouble total);
void d_payment_note_set_emission_date (PaymentNote * payment_note,time_t emission_date);
gulong d_payment_note_get_note_code (PaymentNote * payment_note);
Repair * d_payment_note_get_repair_detail (PaymentNote * payment_note);
Payment * d_payment_note_get_payment (PaymentNote * payment_note);
gdouble d_payment_note_get_total (PaymentNote * payment_note);
time_t d_payment_note_get_emission_date (PaymentNote * payment_note);


gint d_payment_note_clear (PaymentNote *payment_note);

 void d_payment_note_calculate_total (gdouble * base,gdouble * iva,
					      gdouble * total,PaymentNote * payment_note);





#endif

