/* piece_history.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PIECE_HISTORY_
#define _PIECE_HISTORY_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#define D_PIECE_HISTORY_REGULARIZATION_MOVEMENT 0
#define D_PIECE_HISTORY_INTERCHANGE_MOVEMENT 1
#define D_MOVEMENT_REPAIR 2
#define D_MOVEMENT_DELIVERY_PAYMENT 3

#include "time.h"

typedef struct pieceHistoryStruct {
    gint movement_type;
    gpointer movement;
} PieceHistory;


PieceHistory * d_piece_history_create_empty (void);
gint d_piece_history_clear (PieceHistory *piece_history);

void d_piece_history_set_movement_type (PieceHistory *piece_history, gint type);
void d_piece_history_set_movement (PieceHistory *piece_history, gpointer movement);

gint d_piece_history_get_movement_type (PieceHistory *piece_history);
gpointer d_piece_history_get_movement (PieceHistory *piece_history);

gchar ***d_piece_history_array_to_content (PieceHistory **array, gulong *reccount);
gchar  **d_piece_history_get_content (PieceHistory *piece_history);
gchar  **d_piece_history_get_content_title (void);
gchar   *d_piece_history_get_listing_title (gchar * eurocode,gchar * warehouse);
gint    *d_piece_history_get_listing_columns_width (void);
gint    *d_piece_history_get_listing_columns_alignment (void);
gint     d_piece_history_get_content_size (void);


#endif

