/* policy.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _POLICY_
#define _POLICY_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

typedef struct _policy {
    gulong company_code;
    gchar *policy_number;
    gulong holder_code;
    gulong old_company_code;
    gchar *old_policy_number;
    gulong old_holder_code;
} Policy;


Policy *d_policy_create_empty (void); 
gint d_policy_clear (Policy *policy);
void d_policy_set_company_code (Policy *policy, gulong company_code);
void d_policy_set_policy_number (Policy *policy, gchar *policy_number);
void d_policy_set_holder_code (Policy *policy, gulong holder_code);
void d_policy_set_old_company_code (Policy *policy, gulong company_code);
void d_policy_set_old_policy_number (Policy *policy, gchar *policy_number);
void d_policy_set_old_holder_code (Policy *policy, gulong holder_code);
gulong d_policy_get_company_code (Policy *policy);
gchar *d_policy_get_policy_number (Policy *policy);
gulong d_policy_get_holder_code (Policy *policy);
gulong d_policy_get_old_company_code (Policy *policy);
gchar *d_policy_get_old_policy_number (Policy *policy);
gulong d_policy_get_old_holder_code (Policy *policy);
void d_policy_set_old_key (Policy *policy);
gint d_policy_init (Policy *policy);
Policy *d_policy_duplicate (Policy *policy);

#endif


