/* product.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PRODUCT_
#define _PRODUCT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif


typedef struct productStruct {
  gulong product_code;
  gchar * family_code;
  gchar * description;
  gdouble vat_type;
  gboolean is_piece;
  gboolean is_man_power;
  gdouble price;
  gdouble max_discount;
} Product;

Product  d_product_create_empty (void);
gint     d_product_clear (Product *product);
void     d_product_set_product_code (Product *product, gulong product_code);
void     d_product_set_family_code (Product *product, gchar *family_code);
void     d_product_set_description (Product *product, gchar *description);
void     d_product_set_vat_type (Product *product, gdouble vat_type);
void     d_product_set_is_piece (Product *product, gboolean is_piece);
void     d_product_set_is_man_power (Product *product, gboolean is_man_power);
void     d_product_set_price (Product *product, gdouble price);
void d_product_set_max_discount (Product *product, gdouble max_discount);
gulong     d_product_get_product_code (Product *product);
gchar   *d_product_get_family_code (Product *product);
gchar   *d_product_get_description (Product *product);
gdouble   d_product_get_vat_type (Product *product);
gboolean d_product_get_is_piece (Product *product);
gboolean d_product_get_is_man_power (Product *product);
gdouble   d_product_get_price (Product *product);
gdouble d_product_get_max_discount (Product *product);
Product *d_product_duplicate (Product *product);
gint d_product_init (Product *product);

#endif

