/* province.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PROVINCE_
#define _PROVINCE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif



typedef struct _province {
  gulong province_code ;
  gchar *name;
} Province;


Province * d_province_create_empty (void);
gint d_province_clear (Province *province);
void d_province_set_name (Province *province, gchar * name);
void d_province_set_province_code (Province *province, gulong province_code);
gchar *d_province_get_name (Province *province);
gulong d_province_get_province_code (Province *province);
Province * d_province_duplicate (Province * province);
#endif

