
/* receipt.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _RECEIPT_
#define _RECEIPT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "time.h"
#include "util.h"

typedef struct _receipt {
    gchar *receipt_number;
    gchar *policy_number;
    gulong  company_code;
    gulong  holder_code;
    gchar  *subsidiary_mediator;
    time_t validity_start;
    time_t validity_end;
} Receipt;


Receipt *d_receipt_create_empty (void);
gint d_receipt_clear (Receipt *receipt);
void d_receipt_set_policy_number (Receipt * receipt, gchar *policy_number);
void d_receipt_set_receipt_number (Receipt * receipt, gchar *receipt_number);
void d_receipt_set_company_code (Receipt * receipt, gulong company_code);
void d_receipt_set_holder_code (Receipt * receipt, gulong holder_code);
void d_receipt_set_subsidiary_mediator (Receipt * receipt, gchar *subsidiary_mediator);
void d_receipt_set_validity_start (Receipt * receipt, time_t validity_start);
void d_receipt_set_validity_end (Receipt * receipt, time_t validity_end);
gchar *d_receipt_get_policy_number (Receipt * receipt);
gchar *d_receipt_get_receipt_number (Receipt * receipt);
gulong d_receipt_get_company_code (Receipt * receipt);
gulong d_receipt_get_holder_code (Receipt * receipt);
gchar *d_receipt_get_subsidiary_mediator (Receipt * receipt);
time_t d_receipt_get_validity_end (Receipt * receipt);
time_t d_receipt_get_validity_start (Receipt * receipt);
gint d_receipt_init (Receipt *receipt);
Receipt *d_receipt_duplicate (Receipt *receipt);

#endif

