 /* received_book.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */



#ifndef _RECEIVED_BOOK_
#define _RECEIVED_BOOK_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include <time.h>
#include "participant.h"

typedef struct received_bookStruct {
    gulong number;
    gulong supplier_code;
    gchar * invoice_number;
    time_t issue_date;
    gchar * trade_name;
    gboolean total_summary;
    gboolean vat_summary;
    gdouble line_subtotal;
    gdouble vat_type;
    gdouble total;
} ReceivedBook;



ReceivedBook * d_received_book_create_empty (void);
void d_received_book_set_number (ReceivedBook * received_book, gulong number);
void d_received_book_set_supplier_code (ReceivedBook * received_book, gulong supplier_code);
void d_received_book_set_invoice_number (ReceivedBook * received_book, gchar * invoice_number);
void d_received_book_set_issue_date (ReceivedBook * received_book, time_t issue_date);
void d_received_book_set_trade_name (ReceivedBook * received_book, gchar * trade_name);
void d_received_book_set_vat_type (ReceivedBook * received_book, gdouble vat_type);
void d_received_book_set_line_subtotal (ReceivedBook * received_book, gdouble line_subtotal);
void d_received_book_set_total (ReceivedBook * received_book, gdouble total);
void d_received_book_set_total_summary (ReceivedBook * received_book, gboolean total_summary);
void d_received_book_set_vat_summary (ReceivedBook * received_book, gboolean vat_summary);

gulong d_received_book_get_number (ReceivedBook * received_book);
gulong d_received_book_get_supplier_code (ReceivedBook * received_book);
gchar * d_received_book_get_invoice_number (ReceivedBook * received_book);
time_t d_received_book_get_issue_date (ReceivedBook * received_book);
gchar * d_received_book_get_trade_name (ReceivedBook * received_book);
gdouble d_received_book_get_line_subtotal (ReceivedBook * received_book);
gdouble d_received_book_get_vat_type (ReceivedBook * received_book);
gdouble d_received_book_get_total (ReceivedBook * received_book);
gboolean d_received_book_get_total_summary (ReceivedBook * received_book);
gboolean d_received_book_get_vat_summary (ReceivedBook * received_book);

gint d_received_book_clear (ReceivedBook * received_book);

gchar ***d_received_book_array_to_content (ReceivedBook **array, gulong *reccount);
gchar **d_received_book_get_content_title (void);
gchar *d_received_book_get_listing_title (void);
gint *d_received_book_get_listing_columns_width (void);
gint *d_received_book_get_listing_columns_alignment (void);
gint d_received_book_get_content_size (void);

ReceivedBook **  d_received_book_calculate_total_from_list (ReceivedBook ** received_books);
ReceivedBook ** d_received_book_concat (ReceivedBook ** received_books,ReceivedBook ** received_books2);
gchar **d_received_book_get_content (ReceivedBook *received_book,gulong * received_num,gchar ** previous_invoice_number);
#endif


