
/* shop.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _SHOP_
#define _SHOP_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "participant.h"

typedef struct _shop{
  Participant *participant;
  gulong  enterprise_code;
  gchar *group_code;
  gchar *repairer_code;
} Shop;

Shop *d_shop_create_empty (void);
gint d_shop_clear (Shop *shop);
void d_shop_set_participant (Shop * shop, Participant * participant);
void d_shop_set_group_code (Shop * shop, gchar * group_code);
void d_shop_set_enterprise_code (Shop * shop,gulong enterprise_code);
void d_shop_set_repairer_code (Shop * shop,gchar * repairer_code);
Participant *d_shop_get_participant (Shop * shop);
gchar *d_shop_get_group_code (Shop * shop);
gulong d_shop_get_enterprise_code (Shop * shop);
gchar *d_shop_get_repairer_code (Shop * shop);
Shop * d_shop_duplicate (Shop * original_shop);
#endif

