
/* stock.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _STOCK_
#define _STOCK_

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "piece.h"

typedef struct _stock {
    Piece  *piece;
    gulong  enterprise_code;
    gulong  warehouse_code;
    gdouble  previous_quantity;
    gdouble  quantity;
    gdouble  minimum_stock;
    gchar  *location;
} Stock;

Stock *d_stock_create_empty (void);
gint   d_stock_clear (Stock *stock);

void   d_stock_set_piece (Stock *Stock, Piece *piece);
void   d_stock_set_enterprise_code (Stock *stock, gulong enterprise_code);
void   d_stock_set_warehouse_code (Stock *stock, gulong warehouse_code);
void   d_stock_set_quantity (Stock *stock, gdouble quantity);
void   d_stock_set_previous_quantity (Stock *stock, gdouble quantity);
void d_stock_set_minimum_stock (Stock *stock, gdouble minimum_stock);
void   d_stock_set_location (Stock *stock, gchar *location);

Piece  *d_stock_get_piece (Stock *stock);
gulong  d_stock_get_enterprise_code (Stock *stock);
gulong  d_stock_get_warehouse_code (Stock *stock);
gdouble  d_stock_get_quantity (Stock *stock);
gdouble  d_stock_get_previous_quantity (Stock *stock);
gdouble  d_stock_get_minimum_stock (Stock *stock);
gchar  *d_stock_get_location (Stock *stock);
Stock *d_stock_duplicate (Stock *stock);

#endif


