
/* vehicle.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _VEHICLE_
#define _VEHICLE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

typedef struct _vehicle {
  gulong vehicle_code;
  gchar *license_number;
  gchar *chassis_number;
  gulong  kilometres;
  gchar *model;
  gchar *make; /*marca*/
  gchar *colour;
} Vehicle;

Vehicle *d_vehicle_create_empty (void);
gint d_vehicle_clear (Vehicle *vehicle);
void d_vehicle_set_code (Vehicle * vehicle,gulong vehicle_code);
void d_vehicle_set_license_number (Vehicle *Vehicle, gchar *license_number);
void d_vehicle_set_chassis_number (Vehicle *Vehicle, gchar *chassis_number);
void d_vehicle_set_kilometres (Vehicle *Vehicle, gulong kilometres);
void d_vehicle_set_model (Vehicle *Vehicle, gchar *model);
void d_vehicle_set_make (Vehicle *Vehicle, gchar *make);
void d_vehicle_set_colour (Vehicle *Vehicle, gchar *colour);
gulong d_vehicle_get_code (Vehicle * vehicle);
gchar *d_vehicle_get_license_number (Vehicle *Vehicle);
gchar *d_vehicle_get_chassis_number (Vehicle *Vehicle);
gulong d_vehicle_get_kilometres (Vehicle *Vehicle);
gchar *d_vehicle_get_model (Vehicle *Vehicle);
gchar *d_vehicle_get_make (Vehicle *Vehicle);
gchar *d_vehicle_get_colour (Vehicle *Vehicle);
Vehicle *d_vehicle_duplicate (Vehicle *vehicle);

#endif

