/* warehouse.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _WAREHOUSE_
#define _WAREHOUSE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

typedef struct _warehouse {
  gulong  code;
  gulong  enterprise_code;
  gchar  *nick;
  gchar  *phone;
  gchar  *fax;
  gchar  *email;
  gchar  *street;
  gchar  *number;
  gchar  *floor;
  gulong  postal_code;
  gchar  *town;
  gchar  *province;
} Warehouse;

Warehouse *d_warehouse_create_empty (void);
void  d_warehouse_clear (Warehouse *warehouse);

void d_warehouse_set_code (Warehouse *warehouse, gulong code);
void d_warehouse_set_enterprise_code (Warehouse *warehouse, gulong enterprise_code);
void d_warehouse_set_nick (Warehouse *warehouse, gchar *nick);
void d_warehouse_set_phone (Warehouse *warehouse, gchar *phone);
void d_warehouse_set_email (Warehouse *warehouse, gchar *email);
void d_warehouse_set_fax (Warehouse *warehouse, gchar *fax);
void d_warehouse_set_street (Warehouse *warehouse, gchar *street);
void d_warehouse_set_number (Warehouse *warehouse, gchar *number);
void d_warehouse_set_floor (Warehouse *warehouse, gchar *floor);
void d_warehouse_set_postal_code (Warehouse *warehouse, gulong postal_code);
void d_warehouse_set_town (Warehouse *warehouse, gchar *town);
void d_warehouse_set_province (Warehouse *warehouse, gchar *province);

gulong d_warehouse_get_code (Warehouse *warehouse);
gulong d_warehouse_get_enterprise_code (Warehouse *warehouse);
gchar *d_warehouse_get_nick (Warehouse *warehouse);
gchar *d_warehouse_get_phone (Warehouse *warehouse);
gchar *d_warehouse_get_fax (Warehouse *warehouse);
gchar *d_warehouse_get_email (Warehouse *warehouse);
gchar *d_warehouse_get_street (Warehouse *warehouse);
gchar *d_warehouse_get_number (Warehouse *warehouse);
gchar *d_warehouse_get_floor (Warehouse *warehouse);
gulong d_warehouse_get_postal_code (Warehouse *warehouse);
gchar *d_warehouse_get_town (Warehouse *warehouse);
gchar *d_warehouse_get_province (Warehouse *warehouse);

#endif


