/* delivery_payment_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _DELIVERY_PAYMENT_MODEL_
#define _DELIVERY_PAYMENT_MODEL_


#include <gda-client.h>
#include <gda-field.h>

#ifndef _MODEL_
#include "model.h"
#endif

#include "gda_igalia_util.h"
#include "delivery_payment.h"
#include "client_model.h"
#include "delivery_payment_model.h"
#include "repair_line_model.h"
#include "repair_object_model.h"

typedef struct conditionDeliveryPaymentStruct {
    gchar *enterprise_code;/*Cdigo de la empresa*/
    gchar *shop_code;
    gchar *participant_code;/*Cdigo del cliente*/
    gchar *code;/*cif/nif del cliente*/
    gchar *nick;/*Nombre completo del cliente*/
    gchar *initial_date;
    gchar *ending_date;
    gboolean insurance;/*Bsqueda de albaranes con/sin seguro*/
    gint client_type;/*Tipo de cliente*/
} ConditionDeliveryPaymentClients;

typedef struct DeliveryPaymentIdStruct {
    gchar * delivery_payment_number;
    gchar * enterprise_code;
    gchar * shop_code;
    gboolean from_garage;
} DeliveryPaymentId;

gchar *m_delivery_payment_get_table (void);
gchar *m_delivery_payment_get_attributes (void);
DeliveryPayment * m_delivery_payment_create (GdaRecordset *rs);
DeliveryPayment **  m_delivery_payment_find_by_condition (ConditionDeliveryPaymentClients *condition);
DeliveryPayment * m_delivery_payment_find_by_repair (RepairId *condition);
gulong m_delivery_payment_insert (DeliveryPayment * delivery_payment);
void m_delivery_payment_clear_array (DeliveryPayment ** delivery_payments);
gboolean  m_delivery_payment_is_from_garage (gulong garage_code,gulong client_code,DeliveryPayment * delivery_payment,GdaConnection *connection, GdaCommand *command);
gboolean  m_delivery_payment_client_is_not_from_garage (gulong garage_code,gulong client_code,gulong delivery_payment_number,gulong shop_code,gulong enterprise_code);
gboolean m_delivery_payment_update_garage_total (DeliveryPayment * delivery_payment);
DeliveryPayment * m_delivery_payment_find_by_id (DeliveryPaymentId * condition);
DeliveryPayment ** m_delivery_payment_find_by_garage (gchar * invoice_number,gchar * shop_code,gchar * enterprise_code);
DeliveryPayment ** m_delivery_payment_join_array (DeliveryPayment ** delivery_payments1,DeliveryPayment ** delivery_payments2);
gboolean m_delivery_payment_set_invoice_to_null (gchar * delivery_payment_number,gchar * shop_code,gchar *enterprise_code,gchar * invoice_code,GdaConnection * connection,GdaCommand * command);
gboolean m_delivery_payment_dissasociate_invoice (gchar * delivery_payment_number,gchar * shop_code,gchar *enterprise_code, gchar * invoice_code);

#endif


