/* direct_debit_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _DIRECT_DEBIT_MODEL_
#define _DIRECT_DEBIT_MODEL_

#include <gda-client.h>
#include <glib.h>
#include "model.h"
#include "direct_debit.h"
#include "gda_igalia_util.h"

gchar *m_direct_debit_get_table (void);
gchar *m_direct_debit_get_attributes (void);
DirectDebit *m_direct_debit_create (GdaRecordset *rs);
gboolean m_direct_debit_insert (DirectDebit * direct_debit);
gboolean m_direct_debit_insert_in_transaction (DirectDebit * direct_debit,GdaConnection * connection);
gboolean m_direct_debit_insert_array (DirectDebit ** direct_debits);
gboolean m_direct_debit_return_array (GList* direct_debits);
gboolean m_direct_debit_return_in_transaction (DirectDebit * direct_debit,GdaConnection * connection);
void m_direct_debit_clear_array (DirectDebit ** direct_debits);
DirectDebit ** m_direct_debit_find_by_code (gulong direct_debit_code);
DirectDebit ** m_direct_debit_generate_from_invoice_array (gchar * direct_debit_code,GList * invoices,gint new_state);
gulong  m_direct_debit_get_state_from_invoice (gulong invoice_code,gulong enterprise_code,gulong shop_code);
gchar * m_direct_debit_get_next_code (void);
gchar * m_direct_debit_get_next_code_from_invoice (gulong invoice_code,gulong enterprise_code,gulong shop_code);
gint m_direct_debit_find_number_of_instalment (gulong invoice_code,gulong shop_code,gulong enterprise_code);
gboolean m_direct_debit_set_state_from_invoice (gulong invoice_code,gulong enterprise_code,gulong shop_code,gint new_state);
#endif


