
/* pieces.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _FIND_PIECES_MODEL_
#define _FIND_PIECES_MODEL_

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif

#include <gda-client.h>
#include <gda-field.h>

#ifndef _MODEL_
#include "model.h"
#endif

#ifndef _UTIL_
#include "util.h"
#endif

#ifndef _PRODUCT_
#include "product.h"
#endif

#ifndef _PIECE_
#include "piece.h"
#endif

typedef struct conditionPiecesStruct {
    gchar *eurocode;/*Eurocode*/
    gchar *description;/*Descripcin*/
} ConditionFindPieces;


Piece ** m_piece_find_by_condition (ConditionFindPieces *condition, gulong * tuples);
Piece ** m_piece_find_by_product_code (glong *codes, gulong *number);
gchar * m_piece_get_eurocode_by_product_code (gulong product_code);
gulong m_piece_get_product_code_by_eurocode (gchar * eurocode);
gint m_piece_obtain_pieces_array_from_record_set (GdaRecordset *rs, Piece **pieces_array);
gint m_piece_clear_array (Piece ** pieces_array);

#endif

