/* listing_operation_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _LISTING_OPERATION_MODEL_
#define _LISTING_OPERATION_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#ifndef _MODEL_
#include "model.h"
#endif

#define M_LISTING_OPERATION_INCOMING 0
#define M_LISTING_OPERATION_EXPENSE 1
#define M_LISTING_OPERATION_BOTH 2

#include "gda_igalia_util.h"
#include "listing_operation.h"
#include "gda_igalia_util.h"

typedef struct conditionFindListingOperationStruct {
    gint type; /*Tipo de pago para el que se quiere el listado */
    gulong shop_code;
    gulong company_code;
    gint invoice_state;/*Estado actual de la factura*/
    time_t * initial_done_date;/*Fecha de realizacin del pago*/
    time_t * ending_done_date;/*Fecha fin del perodo de realizacin del pago*/
    gchar * bank_code;
    gchar * office_code;
    gchar * account_number;
    gdouble amount;
} ConditionFindListingOperation;

ListingOperation *m_listing_operation_create (GdaRecordset *rs);
ListingOperation ** m_listing_operation_find_by_condition (ConditionFindListingOperation * condition,gint type);
void m_listing_operation_clear_array (ListingOperation ** listing_operations);
#endif


