
/* order_line_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _ORDER_LINE_MODEL_
#define _ORDER_LINE_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#include "gda-recordset.h"
#include "model.h"
#include "order.h"
#include "order_line.h"

gchar   *m_order_line_get_table (void);
gchar   *m_order_line_get_attributes (void);
OrderLine *m_order_line_create (GdaRecordset *rs);

gboolean m_order_line_insert (OrderLine **order_lines, GdaConnection *connection, GdaCommand *command);
void m_order_line_get_lines_from_pieces (GList **list, glong *pieces_ids, gulong *number,
				  gulong enterprise_code, gulong warehouse_code);
void m_order_line_get_lines_from_order (GList **list, Order *order);
gboolean delete_order_lines(Order *order);
gboolean m_order_line_delete_in_transaction (Order *order, GdaConnection *connection, GdaCommand *command);
gboolean m_order_line_update (OrderLine *order_line,gulong supplier_code,GdaConnection *connection, GdaCommand *command);
gboolean m_order_line_update_lines (GList * order_lines,gulong supplier_code);
OrderLine **m_order_line_get_from_order (Order *order);
void m_order_line_clear_array (OrderLine ** lines);

#endif

