/* order_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _ORDER_MODEL_
#define _ORDER_MODEL_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "order.h"
#include "time.h"


typedef struct conditionOrderStruct {
    gulong   enterprise_code;/*Cdigo de la empresa*/
    gulong   warehouse_code;/*Cdigo del almacn*/
    gulong   supplier_code;/*Cdigo del proveedor*/
    gulong   order_code;/*Cdigo del pedido*/
    gboolean placed;/*Solicitado o no*/
    time_t   date;/*Fecha del pedido*/
} ConditionFindOrder;



gchar *m_order_get_table (void);
gchar *m_order_get_attributes (void);
Order *m_order_create (GdaRecordset *rs);

Order **m_order_find_by_condition (ConditionFindOrder *condition, gulong *tuples);
Order **m_order_find_by_condition_and_delivery_payment (ConditionFindOrder *condition,
							   gchar * charge_delivery_payment_number, gulong *tuples);

gboolean m_order_insert (Order *order);
gboolean m_order_update (Order *order);
void    m_order_clear_array (Order ** orders);

#endif



