
/* payment_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PAYMENT_MODEL_
#define _PAYMENT_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#ifndef _MODEL_
#include "model.h"
#endif

#include "payment.h"
#include "gda_igalia_util.h"

typedef struct paymentId {
    gchar * enterprise_code;
    gchar * shop_code;
    gchar * payment_code;
} PaymentId;

gchar *m_payment_get_table (void);
gchar *m_payment_get_attributes (void);
Payment * m_payment_create (GdaRecordset *rs);

Payment * m_payment_find_by_id (PaymentId * condition);
gulong m_payment_update (Payment * payment);
gboolean m_payment_delete (gulong shop_code,gulong enterprise_code,gulong payment_code,gint operation_type);
gdouble m_payment_calculate_next_total (PaymentId * payment_id,gboolean is_direct_debit);
gulong m_payment_insert_in_transaction (Payment * payment,GdaCommand * command,GdaConnection * connection);
gboolean m_payment_update_in_transaction (Payment * payment,GdaConnection * connection,GdaCommand * command);
           /*plazo*/
gboolean m_payment_is_pay_instalment (Payment ** payment_to_pay);
gboolean m_payment_get_instalment (Payment ** payment_to_pay,GdaConnection * connection);
gint m_payment_find_number_of_operation (gulong payment_code,gulong shop_code,gulong enterprise_code);
Payment * m_payment_find_by_invoice_id (gulong invoice_code,gulong shop_code,gulong enterprise_code);

#endif

