
/* payment_note_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PAYMENT_NOTE_MODEL_
#define _PAYMENT_NOTE_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#ifndef _MODEL_
#include "model.h"
#endif

#include "payment.h"
#include "payment_note.h"
#include "invoice_model.h"
#include "gda_igalia_util.h"

typedef struct paymentNoteId {
    gchar * payment_note_code;
    gchar * enterprise_code;
    gchar * shop_code;
} PaymentNoteId;

PaymentNote * m_payment_note_create (GdaRecordset *rs);

gchar *m_payment_note_get_table (void);
gchar *m_payment_note_get_attributes (void);

gulong m_payment_note_insert (PaymentNote * payment_note);
PaymentNote ** m_payment_note_find_by_condition (ConditionFindInvoice * condition);
PaymentNote * m_payment_note_find_by_id (PaymentNoteId * payment_note_id);
void m_payment_note_clear_array (PaymentNote ** payment_notes);
gchar *m_payment_note_delete (PaymentNote * payment_note);
#endif

