
/* product_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PRODUCT_MODEL_
#define _PRODUCT_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#include "gda-recordset.h"
#include "gda_igalia_util.h"
#include "model.h"
#include "product.h"

gchar   *m_product_get_table (void);
gchar   *m_product_get_attributes (void);
Product  m_product_create (GdaRecordset *rs);
gboolean m_product_insert (Product *product);
gboolean m_product_insert_in_transaction (Product *product, GdaConnection *connection, GdaCommand *command);
gboolean m_product_update_in_transaction (Product *product, GdaConnection *connection, GdaCommand *command,gboolean company_man_power);
gboolean m_product_update (Product *product,gboolean company_man_power);
gboolean m_product_delete_in_transaction (Product *product, GdaConnection *connection, GdaCommand *command);

#endif

