
/* repair_line_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _REPAIR_LINE_MODEL_
#define _REPAIR_LINE_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#include "gda-recordset.h"
#include "gda_igalia_util.h"
#include "model.h"
#include "repair_object_model.h"
#include "repair_line_object.h"
#include "stock.h"
#include "exception.h"



gchar *m_repair_line_get_table (void);
gchar *m_repair_line_get_attributes (void);
Repair_line  *m_repair_line_create (GdaRecordset *rs);
Repair_line **  m_repair_line_find_by_id (RepairId *condition);
void m_repair_line_clear_array (Repair_line ** repair_lines);
void m_repair_line_convert_from_pieces (GList **list, gulong *pieces_ids, gulong *number);
void m_repair_line_convert_from_stocks (GList **list, Stock **stocks);
void m_repair_line_apply_discount (GList *list, gdouble discount);
void m_repair_line_reallocate (GList *list);
Repair_line **m_repair_line_glist_to_array (GList *list, gdouble *subtotal_sum);
GList * m_repair_line_array_to_glist (Repair_line ** repair_lines);
gboolean m_repair_line_insert (Repair_line *repair_line, gchar *repair_code, gchar *enterprise_code, gchar *shop_code, gboolean update, GdaCommand * command, GdaConnection *connection, Exception *exception);
gboolean m_repair_line_is_new (gchar *repair_code, gchar *shop_code, gchar *enterprise_code, gchar *line_number);
gboolean m_repair_line_delete (gchar *repair_code, gchar *shop_code, gchar *enterprise_code, gchar *line_number, gdouble quantity, Stock *stock);
void m_repair_line_get_changed (Repair_line **repair_lines);

#endif

