
/* repair_obejct_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _REPAIR_OBJECT_MODEL_
#define _REPAIR_OBJECT_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#include "gda_igalia_util.h"
#include "repair_object.h"
#include "accident_model.h"
#include "repair_line_object.h"
#include "exception.h"

typedef struct _repair_filter{
  gchar * license_number;  /*Matrcula del vehculo*/
  gchar * legal_id;/*Cif del cliente de la reparacin*/
  gchar * name;/*Nombre completo del cliente*/
  gchar * agent_name;/*Nombre completo del agente de la reparacin*/
  gchar * company;/*Compaa de seguros que se desea buscar*/
  gchar * garage;/*Taller asociado a la reparacin*/
  gchar * initial_date;/*Inicio perodo bsqueda de reparacin*/
  gchar * ending_date;/*Fin perodo de bsqueda de reparacin*/
  gchar * shop_code;/*Cdigo de la tienda*/
  gchar * enterprise_code;/*Cdigo de la empresa*/
} Repair_filter;


typedef struct RepairIdStruct {
    gchar * repair_code;
    gchar * enterprise_code;
    gchar * shop_code;
} RepairId;

gchar *m_repair_get_table (void);
gchar *m_repair_get_attributes (void);
Repair *m_repair_create (GdaRecordset *rs, Repair_line **repair_line);
Repair *  m_repair_find_by_id (RepairId *condition,Repair_line ** repair_lines);
Repair ** m_repair_find_by_filter (Repair_filter *filter);
gboolean m_repair_insert (Repair *repair, gboolean new_policy, gboolean new_receipt, gboolean new_vehicle, Exception *exception);
void m_repair_clear_array (Repair ** repairs);
gboolean m_repair_is_managed (Repair * repair);
void m_repair_clear_filter (Repair_filter * filter);
gboolean m_repair_delete (GArray ** selected, Repair ** repairs);
gboolean m_repair_delete_in_trans (GArray ** selected, Repair ** repairs, GdaConnection * connection);

#endif

