/* shop_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_SHOP_
#define _MODEL_SHOP_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "shop.h"

gchar *m_shop_get_table (void);
gchar *m_shop_get_attributes (void);
Shop *m_shop_create (GdaRecordset *rs);
Shop * m_shop_find_by_shop_code (gint shop_code);
Shop ** m_shop_find_all (void);
Shop ** m_shop_find_by_enterprise_code (gint enterprise_code);
gulong m_shop_get_code_from_name (gchar *name);
gulong m_shop_get_code_from_letter (gchar * letter);
gchar *m_shop_get_name_from_code (gulong code);
void m_shop_clear_array (Shop ** shops);
void m_shop_clear_cached_array (void);
#endif


