/* supplier_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_SUPPLIER_
#define _MODEL_SUPPLIER_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "supplier.h"

gchar *m_supplier_get_table (void);
Supplier * m_supplier_create (GdaRecordset *rs);
Supplier ** m_supplier_find_all (void);
void m_supplier_clear_array (Supplier ** suppliers);
Supplier * m_supplier_find_by_code (gint supplier_code);
gchar *m_supplier_get_name_from_code (gulong code);
#endif


