/* supplier_price_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _SUPPLIER_PRICE_MODEL_
#define _SUPPLIER_PRICE_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#include "gda-recordset.h"
#include "gda_igalia_util.h"
#include "util.h"
#include "model.h"
#include "supplier_price.h"
#include "product.h"

gchar *m_supplier_price_get_table (void);
gchar *m_supplier_price_get_attributes (void);
SupplierPrice *m_supplier_price_create (GdaRecordset *rs);
gboolean m_supplier_price_insert (SupplierPrice *supplier_price);
gboolean m_supplier_price_delete (SupplierPrice *supplier_price);
SupplierPrice ** model_find_prices_by_product(gulong product_code);
gint m_supplier_price_clear_array (SupplierPrice ** supplier_prices);
gboolean m_supplier_price_assign (SupplierPrice *supplier_price);

#endif

